Summary: Class Library for High Energy Physics
Name: clhep
Version: 2.0.3.1
Release: 1a
License: GPL
Vendor: JLC
Group: System Environment/Libraries
Source: http://wwwinfo.cern.ch/asd/lhc++/clhep/clhep-%{version}.tgz
Patch0: clhep-%{version}-cxxlink.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /usr/local

%description

Class Library for High Energy Physics.
If you are high energy phisicist, you should install this
library.

%prep
%setup -n %{version}
export PATH=$PATH:%{_bindir}
%patch -p1 -b .cxxlink

%build
cd CLHEP
./configure
%ifnos darwin
make CXXFLAGS="$RPM_OPT_FLAGS -fno-common"
%else
make CXXFLAGS='-O0 -fsigned-char -fno-common'
%endif

%install
cd CLHEP
rm -rf %{_tmppath}/%{name}-root
make install CXXFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT

(cd $RPM_BUILD_ROOT%{prefix}/lib
ln -s libCLHEP-%{version}.a libCLHEP.a
ln -s libCLHEP-%{version}.dylib libCLHEP.dylib
)

cp HepMC/doc/latex_user_manual/html.sty .
for i in `find . -name doc`; do cp html.sty $i/; done
make docs
make install-docs DESTDIR=`pwd`
mv usr/local/doc ..
cp ChangeLog ..
cp INSTALL ..
cp README ..


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog INSTALL README doc
%{prefix}/bin/*
%{prefix}/include/CLHEP
%{prefix}/lib/*

%changelog
* Wed Feb 28 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.3.1-1a
- 1st release of version 2.0.3.1 on MacOSX 10.4 for Intel Macs

* Sat Oct 07 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.2.3-1a
- 1st release of version 2.0.2.3 on MacOSX 10.4 for Intel Macs

* Tue Dec 20 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 2.0.2.2-1a
- 1st release of version 2.0.2.2 on MacOSX 10.4

* Mon Oct  3 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.9.2.1-1a
- 1st release on MacOSX 10.4

* Sun Dec 26 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 1.9.1.2-1a
- 1st release on MacOSX 10.3

* Tue Jan 13 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 1.8.2.0-1a
- 1st release on MacOSX 10.3

* Thu Oct 03 2002 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st clhep rpm of version 1.8.0.0 on MacOS X 10.2
- Use -O0 for darwin

* Sat Jun 29 2002 Kotoyo Hoshina <hoshina@post.kek.jp>
- 1st clhep rpm of version 1.8.0.0 on MacOS X
- Use -O0 for darwin

* Mon Dec 10 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 2nd clhep rpm of version 1.7.0.0 on MacOS X
- Use -O0 for darwin

* Fri Nov 9 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st clhep rpm of version 1.7.0.0 on MacOS X

* Fri Apr 13 2001 Kotoyo Hoshina <hoshina@jlcux1.kek.jp>
- 1st clhep rpm of version 1.6.0.0 on MacOS X

* Fri Jul 21 2000 Kotoyo Hoshina <hoshina@jlcux1.kek.jp>
- 1st clhep rpm of version 1.6.0.0

